Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xdb.spi
Class XDBResource

    java.lang.Object
      |
      +--oracle.xdb.dom.XDBNode
            |
            +--oracle.xdb.dom.XDBDocument
                  |
                  +--oracle.xdb.spi.XDBResource

All Implemented Interfaces:
  Document, Node, Resource

Direct Known Subclasses:
  XDBResourceContext

public class XDBResource
extends XDBDocument
implements Resource

This class implements the guts of the XDB JNDI SPI. The current implementation has no federation support, being completely unaware of the existence of other namespaces.

Field Summary
`protected java.lang.String` | `m_path`
`protected Element` | `m_resElem`

Fields inherited from class oracle.xdb.dom.XDBNode
`m_conn, m_owner, m_xobcstate`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`XDBResource(java.sql.Connection conn, java.lang.String abspath, long xobd)`
`XDBResource(XMLType resxmlt, java.sql.Connection conn, java.lang.String abspath)`

Method Summary
`java.lang.String` | `getACL()`
`java.lang.String` | `getAuthor()`
`java.lang.String` | `getCharacterSet()`
`java.lang.String` | `getComment()`
`java.io.InputStream` | `getContentBinary()`
`java.lang.String` | `getContentType()`
`Document` | `getContentXML()`
`java.sql.Timestamp` | `getCreationDate()`
`java.lang.String` | `getCreator()`
`java.lang.String` | `getDisplayName()`
`java.lang.String` | `getLanguage()`
`java.lang.String` | `getLastModifier()`
`java.sql.Timestamp` | `getModificationDate()`
`java.lang.String` | `getOwner()`
`long` | `getOwnerId()`
`java.lang.String` | `getSchemaElement()`
`static long` | `getServerEnv()`
`int` | `getSize()`
`int` | `getVersionId()`
`boolean` | `isFolder()`
`void` | `save()`
`void` | `setACL(java.lang.String aclpath)`
`void` | `setAuthor(java.lang.String authname)`
`void` | `setCharacterSet(java.lang.String charSet)`
`void` | `setComment(java.lang.String davcom)`
`void` | `setContent(java.lang.Object xmlobj)`
`void` | `setContentType(java.lang.String conttype)`
`void` | `setCreationDate(java.sql.Timestamp credate)`
`void` | `setCreator(java.lang.String creator)`
`void` | `setDisplayName(java.lang.String dname)`
`void` | `setLanguage(java.lang.String lang)`
`void` | `setLastModifier(java.lang.String modifier)`
`void` | `setModificationDate(java.sql.Timestamp moddate)`
`void` | `setOwner(java.lang.String owner)`
`void` | `setOwnerId(long ownerid)`
`void` | `setSchemaElement(java.lang.String schema)`
`void` | `setVersionId(int versionId)`

Methods inherited from class oracle.xdb.dom.XDBDocument
`appendChild, close, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, finalize, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getEnvNative, getFirstChild, getGP, getImplementation, getLastChild, getNextSibling, getNodeName, getOwnerDocument, getPreviousSibling, hasChildNodes, importNode, insertBefore, isClosed, removeChild, replaceChild`

Methods inherited from class oracle.xdb.dom.XDBNode
`cloneNode, equals, getAttributes, getChildNodes, getExpandedName, getLocalName, getNamespaceURI, getNodeFromCState, getNodeType, getNodeValue, getParentNode, getPrefix, getQualifiedName, getSchemaNode, hasAttributes, hashCode, isSupported, normalize, setNodeValue, setNodeXob, setOwner, setPrefix, setXobCstate, toCState, toString, write`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`cloneNode, getAttributes, getChildNodes, getLocalName, getNamespaceURI, getNodeType, getNodeValue, getParentNode, getPrefix, hasAttributes, isSupported, normalize, setNodeValue, setPrefix`

Field Detail

### m_resElem

    protected Element m_resElem

### m_path

    protected java.lang.String m_path

Constructor Detail

### XDBResource

    public XDBResource(java.sql.Connection conn,
                       java.lang.String abspath,
                       long xobd)

### XDBResource

    public XDBResource(XMLType resxmlt,
                       java.sql.Connection conn,
                       java.lang.String abspath)

Method Detail

### getServerEnv

    public static long getServerEnv()

### getOwnerId

    public long getOwnerId()

  Specified by:
    `getOwnerId` in interface `Resource`

### setOwnerId

    public void setOwnerId(long ownerid)
                    throws javax.naming.directory.InvalidAttributeValueException

  Specified by:
    `setOwnerId` in interface `Resource`
    `javax.naming.directory.InvalidAttributeValueException`

### getCharacterSet

    public java.lang.String getCharacterSet()

  Specified by:
    `getCharacterSet` in interface `Resource`

### setCharacterSet

    public void setCharacterSet(java.lang.String charSet)
                         throws javax.naming.directory.InvalidAttributeValueException

  Specified by:
    `setCharacterSet` in interface `Resource`
    `javax.naming.directory.InvalidAttributeValueException`

### getSchemaElement

    public java.lang.String getSchemaElement()

  Specified by:
    `getSchemaElement` in interface `Resource`

### setSchemaElement

    public void setSchemaElement(java.lang.String schema)
                          throws javax.naming.directory.InvalidAttributeValueException

  Specified by:
    `setSchemaElement` in interface `Resource`
    `javax.naming.directory.InvalidAttributeValueException`

### getCreator

    public java.lang.String getCreator()

  Specified by:
    `getCreator` in interface `Resource`

### setCreator

    public void setCreator(java.lang.String creator)
                    throws javax.naming.directory.InvalidAttributeValueException

  Specified by:
    `setCreator` in interface `Resource`
    `javax.naming.directory.InvalidAttributeValueException`

### getOwner

    public java.lang.String getOwner()

  Specified by:
    `getOwner` in interface `Resource`

### setOwner

    public void setOwner(java.lang.String owner)
                  throws javax.naming.directory.InvalidAttributeValueException

  Specified by:
    `setOwner` in interface `Resource`
    `javax.naming.directory.InvalidAttributeValueException`

### getCreationDate

    public java.sql.Timestamp getCreationDate()

  Specified by:
    `getCreationDate` in interface `Resource`

### setCreationDate

    public void setCreationDate(java.sql.Timestamp credate)
                         throws javax.naming.directory.InvalidAttributeValueException

  Specified by:
    `setCreationDate` in interface `Resource`
    `javax.naming.directory.InvalidAttributeValueException`

### getModificationDate

    public java.sql.Timestamp getModificationDate()

  Specified by:
    `getModificationDate` in interface `Resource`

### setModificationDate

    public void setModificationDate(java.sql.Timestamp moddate)
                             throws javax.naming.directory.InvalidAttributeValueException

  Specified by:
    `setModificationDate` in interface `Resource`
    `javax.naming.directory.InvalidAttributeValueException`

### getLastModifier

    public java.lang.String getLastModifier()

  Specified by:
    `getLastModifier` in interface `Resource`

### setLastModifier

    public void setLastModifier(java.lang.String modifier)
                         throws javax.naming.directory.InvalidAttributeValueException

  Specified by:
    `setLastModifier` in interface `Resource`
    `javax.naming.directory.InvalidAttributeValueException`

### getAuthor

    public java.lang.String getAuthor()

  Specified by:
    `getAuthor` in interface `Resource`

### setAuthor

    public void setAuthor(java.lang.String authname)
                   throws javax.naming.directory.InvalidAttributeValueException

  Specified by:
    `setAuthor` in interface `Resource`
    `javax.naming.directory.InvalidAttributeValueException`

### getDisplayName

    public java.lang.String getDisplayName()

  Specified by:
    `getDisplayName` in interface `Resource`

### setDisplayName

    public void setDisplayName(java.lang.String dname)
                        throws javax.naming.directory.InvalidAttributeValueException

  Specified by:
    `setDisplayName` in interface `Resource`
    `javax.naming.directory.InvalidAttributeValueException`

### getComment

    public java.lang.String getComment()

  Specified by:
    `getComment` in interface `Resource`

### setComment

    public void setComment(java.lang.String davcom)
                    throws javax.naming.directory.InvalidAttributeValueException

  Specified by:
    `setComment` in interface `Resource`
    `javax.naming.directory.InvalidAttributeValueException`

### getLanguage

    public java.lang.String getLanguage()

  Specified by:
    `getLanguage` in interface `Resource`

### setLanguage

    public void setLanguage(java.lang.String lang)
                     throws javax.naming.directory.InvalidAttributeValueException

  Specified by:
    `setLanguage` in interface `Resource`
    `javax.naming.directory.InvalidAttributeValueException`

### getContentType

    public java.lang.String getContentType()

  Specified by:
    `getContentType` in interface `Resource`

### setContentType

    public void setContentType(java.lang.String conttype)
                        throws javax.naming.directory.InvalidAttributeValueException

  Specified by:
    `setContentType` in interface `Resource`
    `javax.naming.directory.InvalidAttributeValueException`

### getVersionId

    public int getVersionId()

  Specified by:
    `getVersionId` in interface `Resource`

### setVersionId

    public void setVersionId(int versionId)
                      throws javax.naming.directory.InvalidAttributeValueException

  Specified by:
    `setVersionId` in interface `Resource`
    `javax.naming.directory.InvalidAttributeValueException`

### getContentXML

    public Document getContentXML()

  Specified by:
    `getContentXML` in interface `Resource`

### getContentBinary

    public java.io.InputStream getContentBinary()

  Specified by:
    `getContentBinary` in interface `Resource`

### setContent

    public void setContent(java.lang.Object xmlobj)
                    throws javax.naming.directory.InvalidAttributeValueException,
                           javax.naming.OperationNotSupportedException

  Specified by:
    `setContent` in interface `Resource`
    `javax.naming.directory.InvalidAttributeValueException`
    `javax.naming.OperationNotSupportedException`

### getACL

    public java.lang.String getACL()

  Specified by:
    `getACL` in interface `Resource`

### setACL

    public void setACL(java.lang.String aclpath)
                throws javax.naming.directory.InvalidAttributeValueException

  Specified by:
    `setACL` in interface `Resource`
    `javax.naming.directory.InvalidAttributeValueException`

### save

    public void save()

### getSize

    public int getSize()

  Specified by:
    `getSize` in interface `Resource`

### isFolder

    public boolean isFolder()

  Specified by:
    `isFolder` in interface `Resource`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.